Skip to content
POST/{organizationId}/{mandateId}/booking/views/event/{viewId}

Update event view

Updates a specific event booking view for a given mandate

Required permissions:

  • mandate.read

  • bookingView.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
viewIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 60

stylestringrequired

Options:

grouplistscheduleplansites

Additional properties are not allowed.

descriptionstringoptional

Default: ""

maxLength: 160

pageSizeintegeroptional

Default: 20

maximum: 100

exclusiveMinimum: 0

allMandatesbooleanoptional

Default: false

maxItems: 20

allowSearchbooleanoptional

Default: false

allowCategoryFilterbooleanoptional

Default: false

showAvailableAmountbooleanoptional

Default: true

showPricebooleanoptional

Default: true

Default: ["public"]

hideNotAvailablebooleanoptional

Default: false

hideCanceledbooleanoptional

Default: false

hidePassedBookingbooleanoptional

Default: false

hideUpcomingBookingbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/views/event/{viewId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/views/event/{viewId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "style": "group"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}